/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.integrator.entity;

/**
 * To be thrown when problems appeared during ejb instantiation. Class is created instead of Runtime GenericSystemException
 * exception currently thrown when some error occured.
 *
 * @author Sergey Kozmin
 * @since 30.10.2006, 11:46:47
 */
class CouldntGetEJBException extends RuntimeException {
    private String ejbName;

    public CouldntGetEJBException(String ejbName) {
        this.ejbName = ejbName;
    }

    public CouldntGetEJBException(String ejbName, String message) {
        super(message);
        this.ejbName = ejbName;
    }

    public CouldntGetEJBException(String ejbName, String message,
                                  Throwable cause) {
        super(message, cause);
        this.ejbName = ejbName;
    }

    public CouldntGetEJBException(String ejbName, Throwable cause) {
        super(cause);
        this.ejbName = ejbName;
    }

    public String getEjbName() {
        return ejbName;
    }
}
